Bug 1567498 - [enhancement] lsblk: read bitlocker LABEL even on locked volumes
Summary: [enhancement] lsblk: read bitlocker LABEL even on locked volumes
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 10:49 UTC by Matt Daveson
Modified: 2018-05-12 10:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 10:21:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Daveson 2018-04-14 10:49:56 UTC
Have a bitlocker locked volume connected to the system, then I run:
sudo lsblk -o name,mountpoint,label,partlabel,size

The PARTLABEL is displayed always, but the LABEL isn't, unless the volume is unlocked with the key/password and then mounted.

Now my request for lsblk: be able to read LABEL for locked volumes also, using third party tools which can provide the information:
sudo dislocker-find | xargs sudo dislocker-metadata -V

util-linux 2.30.1-0ubuntu4.1

Comment 1 Matt Daveson 2018-04-23 15:40:25 UTC
Also read PARTLABEL

Comment 2 Matt Daveson 2018-04-23 15:54:03 UTC
blkid doesn't detect it either.

Comment 3 Karel Zak 2018-04-24 10:21:41 UTC
It's good enough to use github for feature requests.
https://github.com/karelzak/util-linux/issues/617

I have just committed basic bitlocker detection to upstream libblkid.

Comment 4 Matt Daveson 2018-05-12 10:21:09 UTC
Great thanks!


Note You need to log in before you can comment on or make changes to this bug.